diff --git a/board/neo1973/gta02/gta02.c b/board/neo1973/gta02/gta02.c
index 332a8cc..fc437fe 100644
--- a/board/neo1973/gta02/gta02.c
+++ b/board/neo1973/gta02/gta02.c
@@ -34,6 +34,7 @@
 #include <s3c2440.h>
 #include <i2c.h>
 #include <bootmenu.h>
+#include <asm/atomic.h>
 
 #include "../common/neo1973.h"
 #include "../common/jbt6k74.h"
@@ -318,8 +319,11 @@ static void poll_charger(void)
 static void wait_for_power(void)
 {
 	int seconds = 0;
+	unsigned long flags;
 
+	local_irq_save(flags);
 	while (1) {
+#if 0
 		/* battery is present -> try to boot */
 		if (!(pcf50633_reg_read(PCF50633_REG_BVMCTL) & 1))
 			break;
@@ -333,12 +337,19 @@ static void wait_for_power(void)
 		/* we have plenty of external power -> try to boot */
 		if (pcf50633_usb_last_maxcurrent >= 500)
 			break;
+#endif
+#if 0
+	__pcf50633_reg_write(PCF50633_REG_MBCC1,
+	    neo1973_aux_key_pressed() ? 0x15 : 0x14);
+#endif
+	__pcf50633_reg_write(PCF50633_REG_MBCC7,
+	    neo1973_aux_key_pressed() ? 1 : 0); // 500 vs. 100mA
 
 		if (neo1973_new_second())
 			seconds++;
 
 		/* blink the AUX LED */
-		neo1973_led(GTA02_LED_AUX_RED, !seconds || (seconds & 1));
+		neo1973_led(GTA02_LED_AUX_RED, !(!seconds || (seconds & 1)));
 	}
 
 	/* switch off the AUX LED */
@@ -356,9 +367,14 @@ int board_late_init(void)
 
 	set_revision();
 
+
 	/* Initialize the Power Management Unit with a safe register set */
 	pcf50633_init();
 
+__pcf50633_reg_write(PCF50633_REG_MBCC1, 0x00); // charger disabled
+__pcf50633_reg_write(PCF50633_REG_MBCC7, 0x01); // 500mA
+__pcf50633_reg_write(PCF50633_REG_MBCC8, 0x00); // USB-SYS disabled
+
 	/* obtain wake-up reason */
 	int1 = pcf50633_reg_read(PCF50633_REG_INT1);
 	int2 = pcf50633_reg_read(PCF50633_REG_INT2);
